org.apache.hadoop.yarn.server.nodemanager.collectormanager

## Class NMCollectorService

- java.lang.Object
- - org.apache.hadoop.service.AbstractService
  - - org.apache.hadoop.service.CompositeService
    - - org.apache.hadoop.yarn.server.nodemanager.collectormanager.NMCollectorService

- All Implemented Interfaces:
    Closeable, AutoCloseable, org.apache.hadoop.service.Service, org.apache.hadoop.yarn.server.api.CollectorNodemanagerProtocol

      public class NMCollectorService
      extends org.apache.hadoop.service.CompositeService
      implements org.apache.hadoop.yarn.server.api.CollectorNodemanagerProtocol

  Service that handles collector information. It is used only if the timeline service v.2 is enabled.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.service.CompositeService

      `org.apache.hadoop.service.CompositeService.CompositeServiceShutdownHook`

    - ### Nested classes/interfaces inherited from interface org.apache.hadoop.service.Service

      `org.apache.hadoop.service.Service.STATE`

  - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.service.CompositeService

      `STOP_ONLY_STARTED_SERVICES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NMCollectorService(Context context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.yarn.server.api.protocolrecords.GetTimelineCollectorContextResponse` | `getTimelineCollectorContext(org.apache.hadoop.yarn.server.api.protocolrecords.GetTimelineCollectorContextRequest request)`
    `org.apache.hadoop.yarn.server.api.protocolrecords.ReportNewCollectorInfoResponse` | `reportNewCollectorInfo(org.apache.hadoop.yarn.server.api.protocolrecords.ReportNewCollectorInfoRequest request)`
    `protected void` | `serviceStart()`
    `void` | `serviceStop()`

    - ### Methods inherited from class org.apache.hadoop.service.CompositeService

      `addIfService, addService, getServices, removeService, serviceInit`

    - ### Methods inherited from class org.apache.hadoop.service.AbstractService

      `close, getBlockers, getConfig, getFailureCause, getFailureState, getLifecycleHistory, getName, getServiceState, getStartTime, init, isInState, noteFailure, putBlocker, registerGlobalListener, registerServiceListener, removeBlocker, setConfig, start, stop, toString, unregisterGlobalListener, unregisterServiceListener, waitForServiceToStop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NMCollectorService

          public NMCollectorService(Context context)

  - ### Method Detail

    - #### serviceStart

          protected void serviceStart()
                               throws Exception

      Overrides:
        `serviceStart` in class `org.apache.hadoop.service.CompositeService`
      Throws:
        `Exception`

    - #### serviceStop

          public void serviceStop()
                           throws Exception

      Overrides:
        `serviceStop` in class `org.apache.hadoop.service.CompositeService`
      Throws:
        `Exception`

    - #### reportNewCollectorInfo

          public org.apache.hadoop.yarn.server.api.protocolrecords.ReportNewCollectorInfoResponse reportNewCollectorInfo(org.apache.hadoop.yarn.server.api.protocolrecords.ReportNewCollectorInfoRequest request)
                                                                                                                  throws org.apache.hadoop.yarn.exceptions.YarnException,
                                                                                                                         IOException

      Specified by:
        `reportNewCollectorInfo` in interface `org.apache.hadoop.yarn.server.api.CollectorNodemanagerProtocol`
      Throws:
        `org.apache.hadoop.yarn.exceptions.YarnException`
        `IOException`

    - #### getTimelineCollectorContext

          public org.apache.hadoop.yarn.server.api.protocolrecords.GetTimelineCollectorContextResponse getTimelineCollectorContext(org.apache.hadoop.yarn.server.api.protocolrecords.GetTimelineCollectorContextRequest request)
                                                                                                                            throws org.apache.hadoop.yarn.exceptions.YarnException,
                                                                                                                                   IOException

      Specified by:
        `getTimelineCollectorContext` in interface `org.apache.hadoop.yarn.server.api.CollectorNodemanagerProtocol`
      Throws:
        `org.apache.hadoop.yarn.exceptions.YarnException`
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.